package com.pj.tb_order_after_sale;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_order_after_sale -- 售后申请表，并关联一级市场订单
 * @author qzy 
 */
@RestController
@RequestMapping("/TbOrderAfterSale/")
public class TbOrderAfterSaleController {

	/** 底层 Service 对象 */
	@Autowired
	TbOrderAfterSaleService tbOrderAfterSaleService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(TbOrderAfterSale.PERMISSION_CODE_ADD)
	public AjaxJson add(TbOrderAfterSale t){
		tbOrderAfterSaleService.add(t);
		t = tbOrderAfterSaleService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(TbOrderAfterSale.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbOrderAfterSaleService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbOrderAfterSale.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbOrderAfterSale.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(TbOrderAfterSale.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbOrderAfterSale t){
		tbOrderAfterSaleService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(TbOrderAfterSale.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbOrderAfterSale t = tbOrderAfterSaleService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
//		@SaCheckPermission(TbOrderAfterSale.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbOrderAfterSale> list = tbOrderAfterSaleService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
